Bug 593954 - clusterssh segfaults if no fonts are installed
Summary: clusterssh segfaults if no fonts are installed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: clusterssh
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Patrick Laughton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 06:38 UTC by Martin Cermak
Modified: 2011-06-27 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:30:00 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Cermak 2010-05-20 06:38:55 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Martin Cermak 2010-05-20 06:47:23 UTC
Oh, I hit Enter by accident and the bug was submitted before I had a chance to describe it! :-)

I use Fedora13 minimal installation (without xorg) in the KVM. I installed clusterssh and xauth and logged on with ssh -Y. After 

strace cssh -l root ibm-x3650-05.ovirt.rhts.eng.bos.redhat.com sun-x8450-01.rhts.eng.bos.redhat.com

I got segfault:

read(8, "<?xml version=\"1.0\"?>\n<!DOCTYPE "..., 8192) = 1691
read(8, "", 8192)                       = 0
close(8)                                = 0
close(7)                                = 0
read(6, "", 8192)                       = 0
close(6)                                = 0
stat("/usr/share/fonts", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
open("/var/cache/fontconfig/3830d5c3ddfd5cd38a049b759396e72e-le64.cache-3", O_RDONLY) = 6
fstat(6, {st_mode=S_IFREG|0644, st_size=96, ...}) = 0
read(6, "\4\374\2\374\3\0\0\0`\0\0\0\0\0\0\0008\0\0\0\0\0\0\0P\0\0\0\0\0\0\0"..., 96) = 96
close(6)                                = 0
stat("/usr/share/X11/fonts/Type1", 0x7fff40953fd0) = -1 ENOENT (No such file or directory)
stat("/usr/share/X11/fonts/Type1", 0x7fff409540e0) = -1 ENOENT (No such file or directory)
stat("/usr/share/X11/fonts/TTF", 0x7fff40953fd0) = -1 ENOENT (No such file or directory)
stat("/usr/share/X11/fonts/TTF", 0x7fff409540e0) = -1 ENOENT (No such file or directory)
stat("/usr/local/share/fonts", 0x7fff40953fd0) = -1 ENOENT (No such file or directory)
stat("/usr/local/share/fonts", 0x7fff409540e0) = -1 ENOENT (No such file or directory)
stat("/home/mcermak/.fonts", 0x7fff40953fd0) = -1 ENOENT (No such file or directory)
stat("/home/mcermak/.fonts", 0x7fff409540e0) = -1 ENOENT (No such file or directory)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Segmentation fault

I solved this with 

yum install xorg-x11-fonts\*

Please consider if cssh should not need some explicit dependency on fonts.

Comment 2 Bug Zapper 2011-06-02 13:48:36 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-27 16:30:00 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.